Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.draw
Enum OdfColorModeType

    java.lang.Object
      java.lang.Enum<OdfColorModeType>
          org.odftoolkit.odfdom.dom.type.draw.OdfColorModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfColorModeType>

    public enum OdfColorModeType

extends Enum<OdfColorModeType>

DOM implementation of OpenDocument attribute draw:color-mode.

Enum Constant Summary
`GREYSCALE`
`MONO`
`STANDARD`
`WATERMARK`

Method Summary
`static OdfColorModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfColorModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfColorModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfColorModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MONO

    public static final OdfColorModeType MONO

### STANDARD

    public static final OdfColorModeType STANDARD

### WATERMARK

    public static final OdfColorModeType WATERMARK

### GREYSCALE

    public static final OdfColorModeType GREYSCALE

Method Detail

### values

    public static OdfColorModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfColorModeType c : OdfColorModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfColorModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfColorModeType>`
  Returns:
    return the name of OdfColorModeType

### toString

    public static String toString(OdfColorModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfColorModeType, see draw:color-mode
  Returns:
    return the name of OdfColorModeType

### enumValueOf

    public static OdfColorModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfColorModeType
  Returns:
    return the constant of OdfColorModeType, see draw:color-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.